/*
function xhrInit(xhr, fn_success, fn_error)
	{
//, fn_sucess, fn_error
//	var xhr = createXHR();
	xhr.onreadystatechange = function()
		{
		if (xhr.readyState == 4)
			{
		        try	{
				if (xhr.status == 200) 
					{
					fn_success(xhr.responseText);
					}
				else 
					{
					fn_error("Status error");
					}
				}
			catch (e)
				{
				fn_error("Server Error");
				}
			}
		} 
	}

function xhrCreate() {
    var xhrObj;
    
    if (window.XMLHttpRequest) {
        // branch for native XMLHttpRequest object - Mozilla, IE7
        try {
            xhrObj = new XMLHttpRequest();
        } catch (e) {
            xhrObj = null;
        }
    } else if (window.createRequest) {
        try {
            xhrObj = window.createRequest();
        }
        catch (e) {
            xhrObj = null;
        }
    } else if (window.ActiveXObject) {
        // branch for IE/Windows ActiveX version
        try {
            xhrObj = new ActiveXObject("Msxml2.XMLHTTP");
        } catch(e) {
            try{
                xhrObj = new ActiveXObject("Microsoft.XMLHTTP");
            }
            catch(e) {
                xhrObj = null;
            }
        }//catch
    } //if-else
    return xhrObj;
}//eof createXHR
*/

